=== debian/control ===
Source: ros-kinetic-rdl-urdfreader
Section: misc
Priority: extra
Maintainer: jordan <jlack1987@gmail.com>
Build-Depends: debhelper (>= 9.0.0), lcov, libgtest-dev, ros-kinetic-catkin, ros-kinetic-rdl-cmake, ros-kinetic-rdl-dynamics, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rdl-urdfreader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rdl-cmake, ros-kinetic-rdl-dynamics, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-urdf
Description: The rdl_urdfreader package
